#
# spec file for package gnome-user-docs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-user-docs
Version:        3.26.2.1
Release:        lp150.1.3
Summary:        GNOME Desktop Documentation
License:        GFDL-1.1
Group:          Documentation/Other
Url:            https://www.gnome.org
Source:         http://download.gnome.org/sources/gnome-user-docs/3.26/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  yelp-tools
Recommends:     %{name}-lang
Supplements:    gnome-session
BuildArch:      noarch

%description
This package contains documents that are targeted for GNOME end-users.

%lang_package

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall
%find_lang gnome-help %{?no_lang_C}
%find_lang system-admin-guide %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%doc %{_datadir}/help/C/gnome-help/
%doc %{_datadir}/help/C/system-admin-guide/

%files lang -f gnome-help.lang -f system-admin-guide.lang

%changelog
* Wed Dec  6 2017 luc14n0@linuxmail.org
- Update to version 3.26.2.1:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
- Point fdupes to the data directory instead of build root, which
  is a practice that must be avoided.
- Adopt the use of %%make_build macro instead of raw make command,
  following the best practices.
- Drop conditional macros for pristine 11.x openSUSE releases.
* Wed Nov  1 2017 dimstar@opensuse.org
- Update to version 3.26.2:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Thu Oct 19 2017 dimstar@opensuse.org
- Update to version 3.26.1.1:
  + Updated translations.
* Thu Oct  5 2017 zaitor@opensuse.org
- Update to version 3.26.1:
  + Updates to GNOME Help.
  + Updated translations.
* Thu Sep 28 2017 luc14n0@linuxmail.org
- Update to version 3.26.0.1:
  + Updates to GNOME Help.
  + Updated translations.
* Tue Sep 12 2017 luc14n0@linuxmail.org
- Update to version 3.26.0:
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Aug 15 2017 dimstar@opensuse.org
- Update to version 3.25.90:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Wed May 10 2017 zaitor@opensuse.org
- Update to version 3.24.2:
  + Updates to GNOME Help.
  + Updated translations.
* Mon Apr 24 2017 dimstar@opensuse.org
- Update to version 3.24.0:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Sep 20 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Updates to GNOME Help.
  + Updated translations.
* Fri May 27 2016 idonmez@suse.com
- Update to GNOME 3.20.2 FATE#318572
* Tue May 10 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated translations.
* Tue Apr 12 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Oct 13 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Sep 22 2015 zaitor@opensuse.org
- Update to version 3.18.0:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Updates to GNOME Help.
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updates to GNOME Help.
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Updates to GNOME Help.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Updates to GNOME Help.
  + Updated translations.
* Tue Oct 14 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Updates to GNOME Help.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Sep 16 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Updates to GNOME Help.
  + Updated translations.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Updates to GNOME Help.
  + Updated translations.
* Tue Jul 22 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Updates to System Admin Guide.
  + Updated translations.
* Mon Jun 30 2014 dimstar@opensuse.org
- Update to version 3.12.2:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Updates to GNOME Help.
  + Updated translations.
* Tue Mar 25 2014 dimstar@opensuse.org
- Update to version 3.12.0:
  + Updates to GNOME Help.
  + Updated translations.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Mar  4 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Updates to GNOME Help.
  + Updated translations.
* Fri Feb 21 2014 dimstar@opensuse.org
- Update to version 3.10.3:
  + Updates to GNOME Help and System Admin Guide.
  + Updated translations.
* Tue Nov 12 2013 dimstar@opensuse.org
- Update to version 3.10.2 (bnc#849913):
  + Updates to GNOME Help.
  + Updated translations.
* Tue Oct 15 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Updates to GNOME Help.
  + Updated translations.
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Sep 17 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Sun Jun 16 2013 zaitor@opensuse.org
- Update to version 3.8.2:
  + Updates to GNOME Help.
  + Updated translations.
* Tue May 14 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updates to GNOME Help.
  + Updates to System Admin Guide.
  + Updated translations.
* Tue Mar 26 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updates to GNOME Help.
  + Updated translations.
* Mon Feb 18 2013 dimstar@opensuse.org
- Update to version 3.7.90:
  + Updates to GNOME Help.
  + Updates to the System Administration Guide.
  + Updated translations.
* Tue Nov 13 2012 dimstar@opensuse.org
- Update to version 3.6.2:
  + Various updates to the docs.
  + Updated translations.
* Mon Oct 15 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + Updated translations.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Updated translations.
* Tue Sep 18 2012 dimstar@opensuse.org
- Update to version 3.5.92:
  + Various updates to the docs.
  + Updated translations.
* Wed Jun  6 2012 dimstar@opensuse.org
- Update to version 3.4.2:
  + Various updates to the docs.
  + Updated translations.
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 3.4.1:
  + Many updates.
  + Updated translations.
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Many updates.
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Remove hack to find localized help: this has been fixed in
  find-lang.sh.
- Re-enable parallel build now that a bug that made it extremely
  slow is fixed.
* Sun Feb 26 2012 vuntz@opensuse.org
- Change itstool BuildRequires to yelp-tools: this is really what
  is needed for build.
* Thu Feb 23 2012 vuntz@opensuse.org
- Update to version 3.3.1:
  + Many improvements.
  + Updated translations.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 3.2.2:
  + Several improvements.
  + Updated translations.
* Mon Oct 17 2011 dimstar@opensuse.org
- Update to version 3.2.1:
  + Updated translations.
* Thu Sep 29 2011 vuntz@opensuse.org
- Disable parallel build as it's actually much longer than a simple
  make due to a bug. It will get fixed in 3.3.x.
* Wed Sep 28 2011 vuntz@opensuse.org
- Update to version 3.2.0.1:
  + Fix a syntax error in the gl translation
- Drop gnome-user-docs-fix-build.patch: fixed upstream.
* Tue Sep 27 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Updates to networking pages
  + Updates to region and language pages
  + Updates to Bluetooth pages
  + Updates to keyboard and keyboard accessibility pages
  + New page on the on-screen keyboard
  + Updated translations.
- Drop gnome-user-docs-no-destdir.patch: fixed upstream.
- Add gnome-user-docs-fix-build.patch: fix syntax in a po file,
  that makes the build fail.
* Fri Sep 16 2011 fcrozat@suse.com
- Fix build on 11.4, by owning %%{_datadir}/help (owned by
  filesystem package on Factory).
* Wed Sep 14 2011 vuntz@opensuse.org
- Add gnome-user-docs-no-destdir.patch: do not use $DESTDIR in the
  link target when creating symlinks for figures. This would create
  symlinks to a non-existing file for the package, which would then
  break the build of bundle-lang-gnome.
- Remove --disable-scrollkeeper from configure: the option doesn't
  exist anymore (as gnome-user-docs moved to itstool to build help
  documents).
* Wed Sep 14 2011 vuntz@opensuse.org
- Add missing %%defattr for lang subpackage, to fix build
  warnings/errors.
* Tue Sep  6 2011 vuntz@opensuse.org
- Update to version 3.1.1:
  + Added help for Vino
  + Added color management help
  + Updates to Nautilus and Sushi help
  + Merged network and web guides
  + Updates to network and user pages
  + Misc fixes
  + Updated translations.
- Changes from version 3.0.5:
  + Updated email contact info and links
  + Clarified Ctrl+Alt+D in shortcuts
  + Fixed character encoding problem
  + Wording change for select/deselect
  + Added information about disks and SMART
  + Added information about type-ahead file searching
  + Information about the message tray in shell-intro
  + Major updates to wireless troubleshooting
  + Information on calendar appointments
  + Style edits
  + Updated translations.
- Remove gnome-doc-utils-devel, libxslt, pkg-config BuildRequires
  and add itstool BuildRequires: this follows the move to the new
  build system for help documents.
- Replace nautilus Supplements with gnome-session, as it makes much
  more sense (gnome-session is in the core of GNOME).
- Remove meinproc usage of %%%%install: there's no explanation as to
  why this is needed, so drop it.
- Disable use of %%find_lang for now, and manually list the
  translated help documents as %%find_lang needs to support the new
  XDG help system first.
* Tue May 24 2011 dimstar@opensuse.org
- Update to version 3.0.4:
  + Added print driver setup page
  + Other minor corrections
  + Updated translations.
* Tue Apr 26 2011 fcrozat@novell.com
- Update to version 3.0.3:
  + Fixed validity errors.
  + Updated translations.
- Changes from version 3.0.2:
  + Changed recommended steps for shutdown/restart.
  + Clarification on the clock and calendar
* Mon Apr 11 2011 fcrozat@novell.com
- Update to version 3.0.1:
  + Use standard license info on all pages.
  + Added more tips about the middle mouse button.
  + Small corrections.
  + Updated translations.
* Wed Apr  6 2011 fcrozat@novell.com
- Update to version 3.0.0:
  + Massive updates to gnome-help.
  + Updated translations.
* Tue Mar 22 2011 fcrozat@novell.com
- Update to version 2.91.92:
  + Massive updates to gnome-help
  + Updated translations.
- Changes from version 2.91.91:
  + Updates to mouse, screenshot, files, backup, shell, user
  + Updates to session, files
  + Updated translations.
* Tue Feb 22 2011 fcrozat@novell.com
- Update to 2.91.90:
  + New Mallard-based GNOME help
* Sun Feb 13 2011 vuntz@opensuse.org
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Small fixes (typos, grammar errors).
  + User Guide: Fixed instructions to change launcher icon.
  + Updated translations.
* Thu Apr 29 2010 dimstar@opensuse.org
- Update to version 2.30.1:
  + Updated translations.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + User Guide:
  - Adapt to changes in Monitor Preferences
  + Updated translations.
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 2.29.2:
  + Updated translations.
* Tue Jan 26 2010 vuntz@opensuse.org
- Update to version 2.29.1:
  + User Guide:
  - Refer to Bug Buddy consistently, bgo#526684
  + Updated translations.
* Wed Dec 16 2009 vuntz@opensuse.org
- Update to version 2.28.2:
  + Using parallel-build fixes from latest gnome-doc-utils.
- Re-enable parallel build.
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 2.28.1:
  + Updated translations.
- Rename package to gnome-user-docs, and provides/obsoletes
  gnome2-user-docs.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.2:
  + User Guide:
  - Fixed typos and punctuation errors
  + Updated translations.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Accessibility Guide:
  - Updated Orca documentation, bgo#591119
  - Various corrections
  + User Guide:
  - Various corrections and bug fixes
  + Updated translations.
* Thu Aug  6 2009 vuntz@novell.com
- Fix license (it's GFDL).
- Create a lang package so that we can put the documentation in the
  bundles.
* Tue May 19 2009 vuntz@novell.com
- Update to version 2.26.2:
  + Accessibility Guide:
  - Fixed validity errors in translations
  + System Admin Guide:
  - Fixed typo, bgo#577327
  + User Guide:
  - Fixed validity errors in translations
  - Removed outdated info on session preferences
  + Updated translations.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Accessibility Guide:
  - Added more description for what caret navigation is
  - Fixed DocBook validity errors in translations
  + User Guide:
  - Fixed DocBook validity errors
  + Updated translations.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Accessibility Guide:
  - Added keybindings for toggling flat review
  + User Guide:
  - Updates to the Nautilus documentation, bgo#571392
  - Updates to the screen resolution documentation, bgo#572603
  + Updated translations.
- Remove AutoReqProv: it's default now.
- Use parallel build.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.1:
  + User Guide:
  - Updated keybinding capplet docs, bgo#571018
  - Updated window capplet docs, bgo#570915
  - Updated gnome-screenshot docs, bgo#571017
  - Updated preferred applications docs, bgo#413452
  + Updated translations.
* Wed Jan 28 2009 vuntz@novell.com
- Reduce BuildRequires.
- Own /usr/share/gnome/help to not depend on libgnome.
* Mon Jan 12 2009 mboman@suse.de
- Update to version 2.24.2:
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.24.1:
  + Make "themes-0" sub-section of "low-vision" as it was
  + Reorganize and update the Orca section
  + Replaced 'CD Player' examples
  + Translation updates
* Wed Sep 24 2008 mboman@suse.de
- Update to version 2.24.0:
  + Accessibility Guide:
  * Massive updates
  * Various fixes
  + System Admin Guide:
  * Various fixes
  + User Guide:
  * Various upates
  + Updated translations
* Thu Sep  4 2008 mboman@novell.com
- Update to version 2.22.1:
  + Accessibility Guide:
  * Miscellaneous fixes
  + System Admin Guide:
  * Miscellaneous fixes
  - Translation updates
* Wed Apr  2 2008 maw@suse.de
- Update to version 2.22.0:
  + Minor updates
  + Updated translations.
* Fri Feb 29 2008 coolo@suse.de
- not using parallel build seems to be more robust
* Fri Feb  1 2008 rodrigo@suse.de
- Update to version 2.20.1:
  * Massive updates from Matthew East and the Ubuntu documentation team
  * Terminology updates
  * Updated translations
* Wed Sep 19 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * updates of Accessibility Guide translations
  * updates of System Admin Guide translations
  * User Guide validation fixed
  * User Guide: updated Preferred Applications section
  * updates of User Guide translations
* Wed Sep  5 2007 maw@suse.de
- Supplement nautilus (#297833).
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.18.2:
  + Updated translations.
- Use %%fdupes.
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.1 which has updated translations for the
  pt_BR, fr, and pa locales.
* Wed Apr  4 2007 maw@suse.de
- Update to version 2.18.0
- Updated translations
* Tue Jan 30 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Oct 12 2006 ro@suse.de
- added gnome-doc-utils-devel to buildreq
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.1
- User Guide
  Better wording for writing CDs
- translation updates
* Sat Sep 30 2006 aj@suse.de
- Cleanup BuildRequires.
* Fri Sep 15 2006 jhargadon@suse.de
- update to version 2.16.0
  * User Guide:
  - Numerous improvements by Joachim Noreiko and Don Scorgie
  - Updated translations:
    es     (Francisco Javier F. Serrador)
    fr     (Claude Parroz)
    pt_BR  (Raphael Higino)
    ru     (Nickolay V. Shmyrev)
  * Accessibility Guide:
  - Numerous improvements by Don Scorgie
  * System Administration Guide:
  - Numerous improvements by Don Scorgie
  - ScreenD should be Screen[D] to stop X complaining (Don Scorgie)
  - Changed Desktop to System (Don Scorgie)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Mon Jan 24 2005 gekker@suse.de
- Update to version 2.8.1
* Tue Aug 31 2004 clahey@suse.de
- Don't --check because some of the docs don't validate.
* Thu Aug 26 2004 clahey@suse.de
- Cache gnome2-user-docs.
* Fri May  7 2004 hhetter@suse.de
- updated to version 2.6.0.1 [GNOME2.6]
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Thu Oct  9 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 30 2003 sbrabec@suse.cz
- Updated to version 2.0.6.
* Mon Jun 30 2003 ro@suse.de
- added gnome-filesystem to neededforbuild
* Fri Feb  7 2003 hhetter@suse.de
- initial package
